Package com.documentum.fc.client

# Class DfSysObjectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.documentum.fc.common.DfException
com.documentum.fc.client.DfTypedObjectException
com.documentum.fc.client.DfSysObjectException

All Implemented Interfaces:
  `IDfException`, `Serializable`

Direct Known Subclasses:
  `DfAlreadyLinkedException`, `DfSysObjectSecurityException`

public class DfSysObjectException extends DfTypedObjectException
An exception that occurs when operating on a IDfSysObject instance.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.common.IDfException

  `DFC_E_BAD_FULL_FORMAT, DM_DFC_E_BAD_CLASS, DM_DFC_E_BAD_INDEX, DM_DFC_E_BAD_VALUE, DM_DFC_E_CLASS_NOT_FOUND, DM_DFC_E_CONVERTED_EXCEPTION, DM_DFC_E_INIT_DMCL, DM_DFC_E_INIT_ERROR, DM_DFC_E_INVALID_OPER_ON_MANAGED_SESSION, DM_DFC_E_NOT_PROGRAMMATIC, DM_DFC_E_NOT_SUPPORTED, DM_DFC_E_NOT_SUPPORTED_BY_SERVER, DM_DFC_E_NOT_SUPPORTED_FOR_GETTING_SYSOBJECT_ATTRIBUTE, DM_DFC_E_NOT_SUPPORTED_FOR_MODIFYING_SYSOBJECT_ATTRS, DM_DFC_E_NOT_SUPPORTED_FOR_SETTING_SYSOBJECT_ATTRIBUTE, DM_DFC_E_OBJECT_DISCONNECTED, DM_DFC_E_OBJECT_NOT_INITIALIZED, DM_DFC_E_PATH_NOT_FOUND, DM_DFC_E_RD_NO_SAVED_CONTENT, DM_DFC_E_RD_STORE_NOT_RETENTION_ENABLED, DM_DFC_E_SERVER, DM_DFC_E_TYPE_MISMATCH, DM_DFC_E_TYPE_MISMATCH_ADD, DM_DFC_E_TYPE_MISMATCH_COMP, DM_DFC_E_TYPE_MISMATCH_GET, DM_DFC_E_TYPE_NOT_FOUND, DM_DFC_E_UNDEFINED, DM_DFC_E_UNKNOWN_OBJECT_TYPE, DM_DFC_EXCEPTION_CANNOT_CHANGE_ASSEMBLED_FROM_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_CHRONICLE_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_CONTENT_SIZE, DM_DFC_EXCEPTION_CANNOT_CHANGE_FROZEN_ASSEMBLY_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_IMMUTABLE_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_INTERNAL_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_LINK_CNT, DM_DFC_EXCEPTION_CANNOT_CHANGE_LOCK_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_TYPE, DM_DFC_EXCEPTION_CANNOT_CHANGE_OWN_XPRIVILEGE, DM_DFC_EXCEPTION_CANNOT_CHANGE_REFERENCE_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_REPLICA_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_VERSION_LABELS, DM_DFC_EXCEPTION_CANNOT_CHANGE_VIRTUAL_DOC_STATUS, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_BOOLEAN_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFID_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFLIST_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_INTEGER_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_STRING_EXPECTED, DM_DFC_EXCEPTION_MANDATORY_ATTRIBUTES_MISSING, DM_DFC_EXCEPTION_OBJECT_ID_MISMATCH, DM_DFC_EXCEPTION_OBJECT_TYPE_MISMATCH, DM_DFC_EXCEPTION_REPEATING_ATTRIBUTE_NOT_SET, DM_DFC_EXCEPTION_SYS_OBJECT_ALREADY_EXISTS, DM_DFCBP_E_ALIAS_ALREADY_EXISTS, DM_DFCBP_E_ALIAS_NOT_EXIST, DM_DFCCOLL_E_BAD_QUERY_TYPE, DM_DFCCOLL_E_BAD_STATE, DM_DFCCTXTMGR_E_GETCONTEXT, DM_DFCQB_BAD_TIME_PATTERN, DM_DFCQB_FILE_ERROR, DM_DFCQB_INTERNAL_ERROR, DM_DFCQB_NO_PATH_SPECIFIED, DM_DFCRM_E_OBJCARR_ERROR, DM_DFCSESS_E_BAD_ADOPT_SESSID, DM_DFCSESS_E_DISCONNECTED, DM_DFCSESS_E_FAILED, DM_DFCSESS_E_FAILED_EX, DM_DFCSESS_E_ILLEGAL_OP, DM_DFCSP_INVALID_CUSTOM_RULE, DM_DFCSP_NO_RULES, DM_DFCSP_NOT_SUBTYPE_OF_SYSOBJECT_ERROR, DM_DFCSP_RELATION_EXISTS_ERROR, DM_DFCSP_RF_NO_ATTRIBUTE, DM_DFCSP_RF_NO_DATA_TYPE, DM_DFCSP_RF_NO_RELATION_OP, DM_DFCSP_RF_NO_VALUE, DM_DFCSP_RF_TYPE_OP_MISMATCH, DM_DFCSP_RL_FACTORS_OPS_MISMATCH, DM_DFCSP_RL_NO_FACTORS, DM_DFCSP_RL_NO_LOGIC_OP, DM_DFCSP_RL_NO_STORAGE, DM_DFCSP_RULE_VALIDATION_ERROR, DM_DFCSP_RULES_NOT_RENDERED_ERROR, DM_DFCSP_STORAGE_POLICY_ERROR, DM_DFCSP_STORAGE_POLICY_NOT_SAVED_ERROR, DM_DFCWF_E_APPEND_NOTE, DM_DFCWF_E_BAD_OBJECT, DM_DFCWF_E_BAD_TEMPLATE, DM_DFCWF_E_INVALID_GROUP, DM_DFCWF_E_MISSING_TEMPLATE, DM_DFCWF_E_NO_OBJECT, DM_DFCWF_E_NO_USER, DM_DFCWF_E_START_FAILED, DM_DFCWF_E_USER_LIMIT, DM_EXPR_E_EVALUATE, DM_EXPR_E_EVALUATOR_LOAD_FAIL, DM_EXPR_E_PARSE, DM_EXPR_E_PARSE_LOAD_FAIL, DM_NOTDFC_E_EXTERNAL, DM_NOTDFC_E_JAVA, DM_TEMPVDM_E_ERROR, DM_VALIDATION_E_ATTR_RULES, DM_VALIDATION_E_ATTR_RULES_NO_VAL, DM_VALIDATION_E_DATATYPE, DM_VALIDATION_E_ERROR, DM_VALIDATION_E_EXCESS_LEN, DM_VALIDATION_E_EXPR, DM_VALIDATION_E_FORMAT, DM_VALIDATION_E_OBJ_EXPR, DM_VALIDATION_E_OBJ_NULL_DATA, DM_VALIDATION_E_OBJ_RULES, DM_VALIDATION_E_USE_VALUE_ASST, errorCorruptedFile, errorDirectoryDoesNotExist, errorDirectoryIsActuallyAFile, errorFileDoesNotExist, errorFileIsActuallyADirectory, errorNoPermissionToCreateDirectory, errorNoPermissionToCreateFile, errorNoPermissionToDetectExistanceOfDirectory, errorNoPermissionToDetectExistanceOfFile, errorNoPermissionToOpenExistingFileWithWriteAccess, errorNoPermissionToOpenFileWithReadAccess, errorReadingFile, errorWritingToExistingFile, errorWritingToNewFile`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DfSysObjectException(String message, IDfSysObject object, Object[] arguments)`
  `protected`
  `DfSysObjectException(String message, IDfSysObject object, Object[] arguments, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DfSysObjectException`
  `alreadyCallSwapRetainerException(IDfSysObject object, IDfId oldRetainerId, IDfId newRetainerId)`
  `protected static String`
  `getObjectName(IDfSysObject object)`
  `IDfSysObject`
  `getSysObject()`
  Deprecated.
  `protected static String`
  `getTypeName(IDfSysObject object)`
  `static DfSysObjectException`
  `newAlreadyLinkedException(IDfSysObject object, String folderSpec)`
  `static DfSysObjectException`
  `newAssemblyParentLockedException(IDfSysObject object, String operationName)`
  `static DfSysObjectException`
  `newBadFormat(IDfSysObject object, String formatName)`
  `static DfSysObjectException`
  `newBindFileOfReplicaSourceUnsupported(IDfSysObject object, IDfId sourceId)`
  `static DfSysObjectException`
  `newCantAccessException(IDfSysObject object, String path, Throwable cause)`
  `static DfSysObjectException`
  `newCantAccessFileException(IDfSysObject object, String fileName)`
  `static DfSysObjectException`
  `newCantCheckoutNewException(IDfSysObject object)`
  `static DfSysObjectException`
  `newCantDropLabelException(IDfSysObject object, String label)`
  `static DfSysObjectException`
  `newCantHaveContentException(IDfSysObject object)`
  `static DfSysObjectException`
  `newCantRemoveRendition(IDfSysObject object, int page, String format)`
  `static DfSysObjectException`
  `newCantRemoveRendition2(IDfSysObject object, int page)`
  `static DfSysObjectException`
  `newCantVersionLockedException(IDfSysObject object, String lockOwner)`
  `static DfSysObjectException`
  `newCausesCycleException(IDfSysObject object, String childObjectName)`
  `static DfSysObjectException`
  `newCircularLinkException(IDfSysObject object)`
  `static DfSysObjectException`
  `newCompoundDocumentEditException(IDfSysObject object)`
  `static DfSysObjectException`
  `newImproperStateException(IDfSysObject object)`
  `static DfSysObjectException`
  `newInternalLabelException(IDfSysObject object, String label)`
  `static DfSysObjectException`
  `newInvalidPageNumberException(IDfSysObject object, int page)`
  `static DfSysObjectException`
  `newInvalidSourceException(IDfSysObject object, String aclTypeName)`
  `static DfSysObjectException`
  `newInvalidTypeForOperationException(IDfSysObject object, String operationName)`
  `static DfSysObjectException`
  `newMigrateContentFailed(IDfSysObject object, String serverMessage)`
  `static DfSysObjectException`
  `newMustHaveNameException(IDfSysObject object, String objectTypeDescription)`
  `static DfSysObjectException`
  `newNewSaveNewException(IDfSysObject object)`
  `static DfSysObjectException`
  `newNoContentTypeSpecifiedException(IDfSysObject object)`
  `static DfSysObjectException`
  `newNoFileException(IDfSysObject object, String command)`
  `static DfSysObjectException`
  `newNoSuchLabelException(IDfSysObject object, String label)`
  `static DfSysObjectException`
  `newNotCheckedOutException(IDfSysObject object)`
  `static DfSysObjectException`
  `newNotLinkedException(IDfSysObject object, String folderSpec)`
  `static DfSysObjectException`
  `newNotRetentionEnabledException(IDfSysObject object, String storeName)`
  `static DfSysObjectException`
  `newNotSupportedException(IDfSysObject object, String operationName)`
  `static DfSysObjectException`
  `newObjectNotCheckedOutException(IDfSysObject object, String operationName)`
  `static DfSysObjectException`
  `newParentNotLockedException(IDfSysObject object, String operationName)`
  `static DfSysObjectException`
  `newRenditionFormatSameAs(IDfSysObject object)`
  `static DfSysObjectException`
  `newRetainerAlreadyAttachedException(IDfSysObject object, IDfId retainerId)`
  `static DfSysObjectException`
  `newRetainerNotAttachedException(IDfSysObject object, IDfId retainerId)`
  `static DfSysObjectException`
  `newSaveASNewStoreMismatchException(IDfSysObject object, String sourceDocbaseName, String targetDocbaseName, String storeName)`

  ### Methods inherited from class com.documentum.fc.client.DfTypedObjectException

  `getObjectId, getObjectId, getTypedObject, newBadAttrIndexException, newBadAttrIndexException, newBadAttrNameException, newBadAttrNameException`

  ### Methods inherited from class com.documentum.fc.common.DfException

  `appendException, convert, getArguments, getCount, getErrorCode, getMessage, getMessageHelper, getMessageId, getNextException, getProperties, getStackTraceAsString, getTailException, getThreadInfo, materializedLightObjectException, newAlreadyMaterializedException, newApiBadType, newAspectMissingPropertyBag, newAuditTrailOutOfRangeException, newBadCacheTypeNameException, newBadClassException, newBadDataTypeException, newBadDateException, newBadDocbaseScopeIdException, newBadFlushArgException, newBadIdException, newBadTypeException, newCannotChangeSharedParentException, newCannotDestroyAspect, newCantApplyException, newCantExportDirtyObjectException, newCantFetchInvalidId, newCantWithOpenTranException, newClassNotFoundException, newDecodingFailedException, newDeserializeFailedException, newDynamicGroupUpdateException, newFailedPolicyUpdateException, newFlushDDCacheBadKeyException, newFlushDDCacheNoKeyException, newFlushRegistryCacheNoKeyException, newIllegalDateFormatException, newIllegalSBOAccessException, newInvalidAspectName, newInvalidDefaultValue, newInvalidNewObjectException, newInvalidTypeException, newMaterializationOptionMismatchException, newMultipleObjectsQualify, newNoCacheKeyException, newNoCacheNameException, newNoCacheTypeNameException, newNoEventNameException, newNoIdException, newProxyInstantiateFailedException, newQueryFailException, newQuerySessionClosedException, newReplicaAspectGenerationFailed, newRetentionOnParkedContentDisabled, newSerializeFailedException, newShareableTypeMismatchException, newTransactionActiveException, newTransactionLostException, newUnsupportedLoginTicketObjectVersionException, newUpdateBadAttrException, newWrongCacheNameException, noLightweightParentTypeException, notShareableParentTypeException, parseException, printStackTrace, printStackTrace, registerResourceBundle, setErrorCode, setErrorCodeRaw, setIncludeStackTraceInMsg, setMessage, setNextException, toString, toStringForCOM`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DfSysObjectException

    protected DfSysObjectException(String message, IDfSysObject object, Object[] arguments)

  - ### DfSysObjectException

    protected DfSysObjectException(String message, IDfSysObject object, Object[] arguments, Throwable cause)

- ## Method Details

  - ### newBadFormat

    public static DfSysObjectException newBadFormat(IDfSysObject object, String formatName)

  - ### newCantAccessException

    public static DfSysObjectException newCantAccessException(IDfSysObject object, String path, Throwable cause)

  - ### newNoContentTypeSpecifiedException

    public static DfSysObjectException newNoContentTypeSpecifiedException(IDfSysObject object)

  - ### newInvalidPageNumberException

    public static DfSysObjectException newInvalidPageNumberException(IDfSysObject object, int page)

  - ### newRenditionFormatSameAs

    public static DfSysObjectException newRenditionFormatSameAs(IDfSysObject object)

  - ### newNotRetentionEnabledException

    public static DfSysObjectException newNotRetentionEnabledException(IDfSysObject object, String storeName)

  - ### newImproperStateException

    public static DfSysObjectException newImproperStateException(IDfSysObject object)

  - ### newRetainerAlreadyAttachedException

    public static DfSysObjectException newRetainerAlreadyAttachedException(IDfSysObject object, IDfId retainerId)

  - ### newRetainerNotAttachedException

    public static DfSysObjectException newRetainerNotAttachedException(IDfSysObject object, IDfId retainerId)

  - ### alreadyCallSwapRetainerException

    public static DfSysObjectException alreadyCallSwapRetainerException(IDfSysObject object, IDfId oldRetainerId, IDfId newRetainerId)

  - ### newNotSupportedException

    public static DfSysObjectException newNotSupportedException(IDfSysObject object, String operationName)

  - ### newInvalidSourceException

    public static DfSysObjectException newInvalidSourceException(IDfSysObject object, String aclTypeName)

  - ### newCantHaveContentException

    public static DfSysObjectException newCantHaveContentException(IDfSysObject object)

  - ### newAlreadyLinkedException

    public static DfSysObjectException newAlreadyLinkedException(IDfSysObject object, String folderSpec)

  - ### newInvalidTypeForOperationException

    public static DfSysObjectException newInvalidTypeForOperationException(IDfSysObject object, String operationName)

  - ### newCircularLinkException

    public static DfSysObjectException newCircularLinkException(IDfSysObject object)

  - ### newNotLinkedException

    public static DfSysObjectException newNotLinkedException(IDfSysObject object, String folderSpec)

  - ### newObjectNotCheckedOutException

    public static DfSysObjectException newObjectNotCheckedOutException(IDfSysObject object, String operationName)

  - ### newCantCheckoutNewException

    public static DfSysObjectException newCantCheckoutNewException(IDfSysObject object)

  - ### newNotCheckedOutException

    public static DfSysObjectException newNotCheckedOutException(IDfSysObject object)

  - ### newCantVersionLockedException

    public static DfSysObjectException newCantVersionLockedException(IDfSysObject object, String lockOwner)

  - ### newInternalLabelException

    public static DfSysObjectException newInternalLabelException(IDfSysObject object, String label)

  - ### newCantDropLabelException

    public static DfSysObjectException newCantDropLabelException(IDfSysObject object, String label)

  - ### newNoSuchLabelException

    public static DfSysObjectException newNoSuchLabelException(IDfSysObject object, String label)

  - ### newMustHaveNameException

    public static DfSysObjectException newMustHaveNameException(IDfSysObject object, String objectTypeDescription)

  - ### newCantAccessFileException

    public static DfSysObjectException newCantAccessFileException(IDfSysObject object, String fileName)

  - ### newNoFileException

    public static DfSysObjectException newNoFileException(IDfSysObject object, String command)

  - ### newNewSaveNewException

    public static DfSysObjectException newNewSaveNewException(IDfSysObject object)

  - ### newParentNotLockedException

    public static DfSysObjectException newParentNotLockedException(IDfSysObject object, String operationName)

  - ### newAssemblyParentLockedException

    public static DfSysObjectException newAssemblyParentLockedException(IDfSysObject object, String operationName)

  - ### newMigrateContentFailed

    public static DfSysObjectException newMigrateContentFailed(IDfSysObject object, String serverMessage)

  - ### newCausesCycleException

    public static DfSysObjectException newCausesCycleException(IDfSysObject object, String childObjectName)

  - ### newCompoundDocumentEditException

    public static DfSysObjectException newCompoundDocumentEditException(IDfSysObject object)

  - ### newSaveASNewStoreMismatchException

    public static DfSysObjectException newSaveASNewStoreMismatchException(IDfSysObject object, String sourceDocbaseName, String targetDocbaseName, String storeName)

  - ### newBindFileOfReplicaSourceUnsupported

    public static DfSysObjectException newBindFileOfReplicaSourceUnsupported(IDfSysObject object, IDfId sourceId)

  - ### newCantRemoveRendition

    public static DfSysObjectException newCantRemoveRendition(IDfSysObject object, int page, String format)

  - ### newCantRemoveRendition2

    public static DfSysObjectException newCantRemoveRendition2(IDfSysObject object, int page)

  - ### getObjectName

    protected static String getObjectName(IDfSysObject object)

  - ### getTypeName

    protected static String getTypeName(IDfSysObject object)

  - ### getSysObject

    @Deprecated public IDfSysObject getSysObject()
    Deprecated.
    Gets the related SysObject.
    Throws:
      `IllegalStateException` - if called for an unserialized object.